#include <vector>
#include "text.h"
#include <iostream>
using namespace std;
const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
void show_histogram_text(const vector<size_t>& bins)
{
    size_t max_count = bins[0];
    for(size_t x: bins){
        if(x > max_count){
            max_count = x;
        }
    }
    if (max_count > MAX_ASTERISK){
        for(size_t count: bins){
            size_t height = MAX_ASTERISK * (static_cast<double>(count) /max_count);
            if (count < 10){
                cout << "  " << count << "|";
            }
            else if (count < 100){
                cout << " " << count << "|";
            }
            else{
                cout << count << "|";
            }
            for(size_t i = 0; i < height; i++){
                cout << "*";
            }
            cout << "\n";
        }
    }
    else{
        for(double x : bins){
            if (x < 10){
                cout << "  " << x << "|";
            }
            else if (x < 100){
                cout << " " << x << "|";
            }
            else{
                cout << x << "|";
            }
            for(size_t i = 0; i < x; i++){
                cout << "*";
            }
            cout << "\n";
        }
    }
}
